[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFishKey

Array to hold Blowfish encryption keys

## Declaration

Source position: blowfish.pp line 32

`type TBlowFishKey = array [0..55] of Byte;`

## Description

TBlowFishKey is a data structure which keeps the encryption or decryption key for the TBlowFish, TBlowFishDeCryptStream and TBlowFishEnCryptStream classes. It should be filled with the encryption key and passed to the constructor of one of these classes.

## See also

TBlowFish |  | Class implementing Blowfish encryption/decryption
TBlowFishDeCryptStream |  | On-the-fly Blowfish decryption stream
TBlowFishEnCryptStream |  | On-the-fly Blowfish encryption stream